<?php
/* Autor...:  */
/* Esquema.: ALM_Kardex.xml */
/* Generado: 2021-01-04 07:40:54 */

/* Metodos de acceso a los campos de la tabla ALM_Kardex */
abstract class BaseALM_KardexBN
{
    /* Campos de la tabla */
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_IdCondicion;    // IdCondicion: ( no definido )
    private $s_IdLote;    // IdLote: ( no definido )
    private $d_IdFecha;    // IdFecha: ( no definido )
    private $s_IdTransaccion;    // IdTransaccion: ( no definido )
    private $s_ReferenciaNumeroInterno;    // ReferenciaNumeroInterno: ( no definido )
    private $s_ReferenciaCompaniaSocio;    // ReferenciaCompaniaSocio: ( no definido )
    private $s_ReferenciaTipoDocumento;    // ReferenciaTipoDocumento: ( no definido )
    private $s_ReferenciaNumeroDocumento;    // ReferenciaNumeroDocumento: ( no definido )
    private $s_ReferenciaSecuencia;    // ReferenciaSecuencia: ( no definido )
    private $s_IdUnidadMedida;    // IdUnidadMedida: ( no definido )
    private $f_Cantidad;    // Cantidad: ( no definido )
    private $f_CantidadDoble;    // CantidadDoble: ( no definido )
    private $f_PrecioUnitario;    // PrecioUnitario: ( no definido )
    private $f_PrecioUnitarioDolares;    // PrecioUnitarioDolares: ( no definido )
    private $f_MontoTotal;    // MontoTotal: ( no definido )
    private $f_MontoTotalDolares;    // MontoTotalDolares: ( no definido )
    private $f_PrecioCosto;    // PrecioCosto: ( no definido )
    private $f_CostoTotal;    // CostoTotal: ( no definido )
    private $f_SaldoCantidad;    // SaldoCantidad: ( no definido )
    private $f_SaldoPrecioCosto;    // SaldoPrecioCosto: ( no definido )
    private $f_SaldoCostoTotal;    // SaldoCostoTotal: ( no definido )
    private $s_Periodo;    // Periodo: ( no definido )
    private $s_CodigoCliente;    // CodigoCliente: ( no definido )
    private $s_CodigoProveedor;    // CodigoProveedor: ( no definido )
    private $s_TipoDocumentoFiscal;    // TipoDocumentoFiscal: ( no definido )
    private $s_SerieDocumentoFiscal;    // SerieDocumentoFiscal: ( no definido )
    private $s_NumeroDocumentoFiscal;    // NumeroDocumentoFiscal: ( no definido )
    private $f_AcumuladoCantidad;    // AcumuladoCantidad: ( no definido )
    private $f_AcumuladoLocal;    // AcumuladoLocal: ( no definido )
    private $f_AcumuladoDolares;    // AcumuladoDolares: ( no definido )
    private $s_ParentRef;    // ParentRef: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechCreacion;    // FechCreacion: ( no definido )

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo IdCondicion */
    public function setIdCondicion( $s_IdCondicion )
    {
        $this->s_IdCondicion = $s_IdCondicion;
    }

    /* Obtiene el valor del campo IdCondicion */
    public function getIdCondicion()
    {
        return $this->s_IdCondicion;
    }

    /* Establece el valor del campo IdLote */
    public function setIdLote( $s_IdLote )
    {
        $this->s_IdLote = $s_IdLote;
    }

    /* Obtiene el valor del campo IdLote */
    public function getIdLote()
    {
        return $this->s_IdLote;
    }

    /* Establece el valor del campo IdFecha */
    public function setIdFecha( $d_IdFecha )
    {
        $this->d_IdFecha = $d_IdFecha;
    }

    /* Obtiene el valor del campo IdFecha */
    public function getIdFecha()
    {
        return $this->d_IdFecha;
    }

    /* Establece el valor del campo IdTransaccion */
    public function setIdTransaccion( $s_IdTransaccion )
    {
        $this->s_IdTransaccion = $s_IdTransaccion;
    }

    /* Obtiene el valor del campo IdTransaccion */
    public function getIdTransaccion()
    {
        return $this->s_IdTransaccion;
    }

    /* Establece el valor del campo ReferenciaNumeroInterno */
    public function setReferenciaNumeroInterno( $s_ReferenciaNumeroInterno )
    {
        $this->s_ReferenciaNumeroInterno = $s_ReferenciaNumeroInterno;
    }

    /* Obtiene el valor del campo ReferenciaNumeroInterno */
    public function getReferenciaNumeroInterno()
    {
        return $this->s_ReferenciaNumeroInterno;
    }

    /* Establece el valor del campo ReferenciaCompaniaSocio */
    public function setReferenciaCompaniaSocio( $s_ReferenciaCompaniaSocio )
    {
        $this->s_ReferenciaCompaniaSocio = $s_ReferenciaCompaniaSocio;
    }

    /* Obtiene el valor del campo ReferenciaCompaniaSocio */
    public function getReferenciaCompaniaSocio()
    {
        return $this->s_ReferenciaCompaniaSocio;
    }

    /* Establece el valor del campo ReferenciaTipoDocumento */
    public function setReferenciaTipoDocumento( $s_ReferenciaTipoDocumento )
    {
        $this->s_ReferenciaTipoDocumento = $s_ReferenciaTipoDocumento;
    }

    /* Obtiene el valor del campo ReferenciaTipoDocumento */
    public function getReferenciaTipoDocumento()
    {
        return $this->s_ReferenciaTipoDocumento;
    }

    /* Establece el valor del campo ReferenciaNumeroDocumento */
    public function setReferenciaNumeroDocumento( $s_ReferenciaNumeroDocumento )
    {
        $this->s_ReferenciaNumeroDocumento = $s_ReferenciaNumeroDocumento;
    }

    /* Obtiene el valor del campo ReferenciaNumeroDocumento */
    public function getReferenciaNumeroDocumento()
    {
        return $this->s_ReferenciaNumeroDocumento;
    }

    /* Establece el valor del campo ReferenciaSecuencia */
    public function setReferenciaSecuencia( $s_ReferenciaSecuencia )
    {
        $this->s_ReferenciaSecuencia = $s_ReferenciaSecuencia;
    }

    /* Obtiene el valor del campo ReferenciaSecuencia */
    public function getReferenciaSecuencia()
    {
        return $this->s_ReferenciaSecuencia;
    }

    /* Establece el valor del campo IdUnidadMedida */
    public function setIdUnidadMedida( $s_IdUnidadMedida )
    {
        $this->s_IdUnidadMedida = $s_IdUnidadMedida;
    }

    /* Obtiene el valor del campo IdUnidadMedida */
    public function getIdUnidadMedida()
    {
        return $this->s_IdUnidadMedida;
    }

    /* Establece el valor del campo Cantidad */
    public function setCantidad( $f_Cantidad )
    {
        $this->f_Cantidad = $f_Cantidad;
    }

    /* Obtiene el valor del campo Cantidad */
    public function getCantidad()
    {
        return $this->f_Cantidad;
    }

    /* Establece el valor del campo CantidadDoble */
    public function setCantidadDoble( $f_CantidadDoble )
    {
        $this->f_CantidadDoble = $f_CantidadDoble;
    }

    /* Obtiene el valor del campo CantidadDoble */
    public function getCantidadDoble()
    {
        return $this->f_CantidadDoble;
    }

    /* Establece el valor del campo PrecioUnitario */
    public function setPrecioUnitario( $f_PrecioUnitario )
    {
        $this->f_PrecioUnitario = $f_PrecioUnitario;
    }

    /* Obtiene el valor del campo PrecioUnitario */
    public function getPrecioUnitario()
    {
        return $this->f_PrecioUnitario;
    }

    /* Establece el valor del campo PrecioUnitarioDolares */
    public function setPrecioUnitarioDolares( $f_PrecioUnitarioDolares )
    {
        $this->f_PrecioUnitarioDolares = $f_PrecioUnitarioDolares;
    }

    /* Obtiene el valor del campo PrecioUnitarioDolares */
    public function getPrecioUnitarioDolares()
    {
        return $this->f_PrecioUnitarioDolares;
    }

    /* Establece el valor del campo MontoTotal */
    public function setMontoTotal( $f_MontoTotal )
    {
        $this->f_MontoTotal = $f_MontoTotal;
    }

    /* Obtiene el valor del campo MontoTotal */
    public function getMontoTotal()
    {
        return $this->f_MontoTotal;
    }

    /* Establece el valor del campo MontoTotalDolares */
    public function setMontoTotalDolares( $f_MontoTotalDolares )
    {
        $this->f_MontoTotalDolares = $f_MontoTotalDolares;
    }

    /* Obtiene el valor del campo MontoTotalDolares */
    public function getMontoTotalDolares()
    {
        return $this->f_MontoTotalDolares;
    }

    /* Establece el valor del campo PrecioCosto */
    public function setPrecioCosto( $f_PrecioCosto )
    {
        $this->f_PrecioCosto = $f_PrecioCosto;
    }

    /* Obtiene el valor del campo PrecioCosto */
    public function getPrecioCosto()
    {
        return $this->f_PrecioCosto;
    }

    /* Establece el valor del campo CostoTotal */
    public function setCostoTotal( $f_CostoTotal )
    {
        $this->f_CostoTotal = $f_CostoTotal;
    }

    /* Obtiene el valor del campo CostoTotal */
    public function getCostoTotal()
    {
        return $this->f_CostoTotal;
    }

    /* Establece el valor del campo SaldoCantidad */
    public function setSaldoCantidad( $f_SaldoCantidad )
    {
        $this->f_SaldoCantidad = $f_SaldoCantidad;
    }

    /* Obtiene el valor del campo SaldoCantidad */
    public function getSaldoCantidad()
    {
        return $this->f_SaldoCantidad;
    }

    /* Establece el valor del campo SaldoPrecioCosto */
    public function setSaldoPrecioCosto( $f_SaldoPrecioCosto )
    {
        $this->f_SaldoPrecioCosto = $f_SaldoPrecioCosto;
    }

    /* Obtiene el valor del campo SaldoPrecioCosto */
    public function getSaldoPrecioCosto()
    {
        return $this->f_SaldoPrecioCosto;
    }

    /* Establece el valor del campo SaldoCostoTotal */
    public function setSaldoCostoTotal( $f_SaldoCostoTotal )
    {
        $this->f_SaldoCostoTotal = $f_SaldoCostoTotal;
    }

    /* Obtiene el valor del campo SaldoCostoTotal */
    public function getSaldoCostoTotal()
    {
        return $this->f_SaldoCostoTotal;
    }

    /* Establece el valor del campo Periodo */
    public function setPeriodo( $s_Periodo )
    {
        $this->s_Periodo = $s_Periodo;
    }

    /* Obtiene el valor del campo Periodo */
    public function getPeriodo()
    {
        return $this->s_Periodo;
    }

    /* Establece el valor del campo CodigoCliente */
    public function setCodigoCliente( $s_CodigoCliente )
    {
        $this->s_CodigoCliente = $s_CodigoCliente;
    }

    /* Obtiene el valor del campo CodigoCliente */
    public function getCodigoCliente()
    {
        return $this->s_CodigoCliente;
    }

    /* Establece el valor del campo CodigoProveedor */
    public function setCodigoProveedor( $s_CodigoProveedor )
    {
        $this->s_CodigoProveedor = $s_CodigoProveedor;
    }

    /* Obtiene el valor del campo CodigoProveedor */
    public function getCodigoProveedor()
    {
        return $this->s_CodigoProveedor;
    }

    /* Establece el valor del campo TipoDocumentoFiscal */
    public function setTipoDocumentoFiscal( $s_TipoDocumentoFiscal )
    {
        $this->s_TipoDocumentoFiscal = $s_TipoDocumentoFiscal;
    }

    /* Obtiene el valor del campo TipoDocumentoFiscal */
    public function getTipoDocumentoFiscal()
    {
        return $this->s_TipoDocumentoFiscal;
    }

    /* Establece el valor del campo SerieDocumentoFiscal */
    public function setSerieDocumentoFiscal( $s_SerieDocumentoFiscal )
    {
        $this->s_SerieDocumentoFiscal = $s_SerieDocumentoFiscal;
    }

    /* Obtiene el valor del campo SerieDocumentoFiscal */
    public function getSerieDocumentoFiscal()
    {
        return $this->s_SerieDocumentoFiscal;
    }

    /* Establece el valor del campo NumeroDocumentoFiscal */
    public function setNumeroDocumentoFiscal( $s_NumeroDocumentoFiscal )
    {
        $this->s_NumeroDocumentoFiscal = $s_NumeroDocumentoFiscal;
    }

    /* Obtiene el valor del campo NumeroDocumentoFiscal */
    public function getNumeroDocumentoFiscal()
    {
        return $this->s_NumeroDocumentoFiscal;
    }

    /* Establece el valor del campo AcumuladoCantidad */
    public function setAcumuladoCantidad( $f_AcumuladoCantidad )
    {
        $this->f_AcumuladoCantidad = $f_AcumuladoCantidad;
    }

    /* Obtiene el valor del campo AcumuladoCantidad */
    public function getAcumuladoCantidad()
    {
        return $this->f_AcumuladoCantidad;
    }

    /* Establece el valor del campo AcumuladoLocal */
    public function setAcumuladoLocal( $f_AcumuladoLocal )
    {
        $this->f_AcumuladoLocal = $f_AcumuladoLocal;
    }

    /* Obtiene el valor del campo AcumuladoLocal */
    public function getAcumuladoLocal()
    {
        return $this->f_AcumuladoLocal;
    }

    /* Establece el valor del campo AcumuladoDolares */
    public function setAcumuladoDolares( $f_AcumuladoDolares )
    {
        $this->f_AcumuladoDolares = $f_AcumuladoDolares;
    }

    /* Obtiene el valor del campo AcumuladoDolares */
    public function getAcumuladoDolares()
    {
        return $this->f_AcumuladoDolares;
    }

    /* Establece el valor del campo ParentRef */
    public function setParentRef( $s_ParentRef )
    {
        $this->s_ParentRef = $s_ParentRef;
    }

    /* Obtiene el valor del campo ParentRef */
    public function getParentRef()
    {
        return $this->s_ParentRef;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechCreacion */
    public function setFechCreacion( $d_FechCreacion )
    {
        $this->d_FechCreacion = $d_FechCreacion;
    }

    /* Obtiene el valor del campo FechCreacion */
    public function getFechCreacion()
    {
        return $this->d_FechCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdAlmacen' => $this->getIdAlmacen(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdItem' => $this->getIdItem(),
            'IdCondicion' => $this->getIdCondicion(),
            'IdLote' => $this->getIdLote(),
            'IdFecha' => $this->getIdFecha(),
            'IdTransaccion' => $this->getIdTransaccion(),
            'ReferenciaNumeroInterno' => $this->getReferenciaNumeroInterno(),
            'ReferenciaCompaniaSocio' => $this->getReferenciaCompaniaSocio(),
            'ReferenciaTipoDocumento' => $this->getReferenciaTipoDocumento(),
            'ReferenciaNumeroDocumento' => $this->getReferenciaNumeroDocumento(),
            'ReferenciaSecuencia' => $this->getReferenciaSecuencia(),
            'IdUnidadMedida' => $this->getIdUnidadMedida(),
            'Cantidad' => $this->getCantidad(),
            'CantidadDoble' => $this->getCantidadDoble(),
            'PrecioUnitario' => $this->getPrecioUnitario(),
            'PrecioUnitarioDolares' => $this->getPrecioUnitarioDolares(),
            'MontoTotal' => $this->getMontoTotal(),
            'MontoTotalDolares' => $this->getMontoTotalDolares(),
            'PrecioCosto' => $this->getPrecioCosto(),
            'CostoTotal' => $this->getCostoTotal(),
            'SaldoCantidad' => $this->getSaldoCantidad(),
            'SaldoPrecioCosto' => $this->getSaldoPrecioCosto(),
            'SaldoCostoTotal' => $this->getSaldoCostoTotal(),
            'Periodo' => $this->getPeriodo(),
            'CodigoCliente' => $this->getCodigoCliente(),
            'CodigoProveedor' => $this->getCodigoProveedor(),
            'TipoDocumentoFiscal' => $this->getTipoDocumentoFiscal(),
            'SerieDocumentoFiscal' => $this->getSerieDocumentoFiscal(),
            'NumeroDocumentoFiscal' => $this->getNumeroDocumentoFiscal(),
            'AcumuladoCantidad' => $this->getAcumuladoCantidad(),
            'AcumuladoLocal' => $this->getAcumuladoLocal(),
            'AcumuladoDolares' => $this->getAcumuladoDolares(),
            'ParentRef' => $this->getParentRef(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechCreacion' => $this->getFechCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_KardexBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_KardexRs )
    {
        $o_ALM_KardexBN = new ALM_KardexBN();
        $o_ALM_KardexBN->setIdAlmacen( $o_ALM_KardexRs[ "IdAlmacen" ] );
        $o_ALM_KardexBN->setIdCompania( ( integer ) $o_ALM_KardexRs[ "IdCompania" ] );
        $o_ALM_KardexBN->setIdSucursal( ( integer ) $o_ALM_KardexRs[ "IdSucursal" ] );
        $o_ALM_KardexBN->setIdItem( $o_ALM_KardexRs[ "IdItem" ] );
        $o_ALM_KardexBN->setIdCondicion( $o_ALM_KardexRs[ "IdCondicion" ] );
        $o_ALM_KardexBN->setIdLote( $o_ALM_KardexRs[ "IdLote" ] );
        $o_ALM_KardexBN->setIdFecha( utilTimestamp::getTimestamp( $o_ALM_KardexRs[ "IdFecha" ], "Y-m-d H:i:s" ) );
        $o_ALM_KardexBN->setIdTransaccion( $o_ALM_KardexRs[ "IdTransaccion" ] );
        $o_ALM_KardexBN->setReferenciaNumeroInterno( $o_ALM_KardexRs[ "ReferenciaNumeroInterno" ] );
        $o_ALM_KardexBN->setReferenciaCompaniaSocio( $o_ALM_KardexRs[ "ReferenciaCompaniaSocio" ] );
        $o_ALM_KardexBN->setReferenciaTipoDocumento( $o_ALM_KardexRs[ "ReferenciaTipoDocumento" ] );
        $o_ALM_KardexBN->setReferenciaNumeroDocumento( $o_ALM_KardexRs[ "ReferenciaNumeroDocumento" ] );
        $o_ALM_KardexBN->setReferenciaSecuencia( $o_ALM_KardexRs[ "ReferenciaSecuencia" ] );
        $o_ALM_KardexBN->setIdUnidadMedida( $o_ALM_KardexRs[ "IdUnidadMedida" ] );
        $o_ALM_KardexBN->setCantidad( ( float ) $o_ALM_KardexRs[ "Cantidad" ] );
        $o_ALM_KardexBN->setCantidadDoble( ( float ) $o_ALM_KardexRs[ "CantidadDoble" ] );
        $o_ALM_KardexBN->setPrecioUnitario( ( float ) $o_ALM_KardexRs[ "PrecioUnitario" ] );
        $o_ALM_KardexBN->setPrecioUnitarioDolares( ( float ) $o_ALM_KardexRs[ "PrecioUnitarioDolares" ] );
        $o_ALM_KardexBN->setMontoTotal( ( float ) $o_ALM_KardexRs[ "MontoTotal" ] );
        $o_ALM_KardexBN->setMontoTotalDolares( ( float ) $o_ALM_KardexRs[ "MontoTotalDolares" ] );
        $o_ALM_KardexBN->setPrecioCosto( ( float ) $o_ALM_KardexRs[ "PrecioCosto" ] );
        $o_ALM_KardexBN->setCostoTotal( ( float ) $o_ALM_KardexRs[ "CostoTotal" ] );
        $o_ALM_KardexBN->setSaldoCantidad( ( float ) $o_ALM_KardexRs[ "SaldoCantidad" ] );
        $o_ALM_KardexBN->setSaldoPrecioCosto( ( float ) $o_ALM_KardexRs[ "SaldoPrecioCosto" ] );
        $o_ALM_KardexBN->setSaldoCostoTotal( ( float ) $o_ALM_KardexRs[ "SaldoCostoTotal" ] );
        $o_ALM_KardexBN->setPeriodo( $o_ALM_KardexRs[ "Periodo" ] );
        $o_ALM_KardexBN->setCodigoCliente( $o_ALM_KardexRs[ "CodigoCliente" ] );
        $o_ALM_KardexBN->setCodigoProveedor( $o_ALM_KardexRs[ "CodigoProveedor" ] );
        $o_ALM_KardexBN->setTipoDocumentoFiscal( $o_ALM_KardexRs[ "TipoDocumentoFiscal" ] );
        $o_ALM_KardexBN->setSerieDocumentoFiscal( $o_ALM_KardexRs[ "SerieDocumentoFiscal" ] );
        $o_ALM_KardexBN->setNumeroDocumentoFiscal( $o_ALM_KardexRs[ "NumeroDocumentoFiscal" ] );
        $o_ALM_KardexBN->setAcumuladoCantidad( ( float ) $o_ALM_KardexRs[ "AcumuladoCantidad" ] );
        $o_ALM_KardexBN->setAcumuladoLocal( ( float ) $o_ALM_KardexRs[ "AcumuladoLocal" ] );
        $o_ALM_KardexBN->setAcumuladoDolares( ( float ) $o_ALM_KardexRs[ "AcumuladoDolares" ] );
        $o_ALM_KardexBN->setParentRef( $o_ALM_KardexRs[ "ParentRef" ] );
        $o_ALM_KardexBN->setUsuarioModificacion( $o_ALM_KardexRs[ "UsuarioModificacion" ] );
        $o_ALM_KardexBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_KardexRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_KardexBN->setUsuarioCreacion( $o_ALM_KardexRs[ "UsuarioCreacion" ] );
        $o_ALM_KardexBN->setFechCreacion( utilTimestamp::getTimestamp( $o_ALM_KardexRs[ "FechCreacion" ], "Y-m-d H:i:s" ) );
        return $o_ALM_KardexBN;
    }
}
?>